Bug 1578793 - Neutron baremetal->container upgrades leave baremetal processes
Summary: Neutron baremetal->container upgrades leave baremetal processes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 13.0 (Queens)
Assignee: Brent Eagles
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1563443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-16 11:59 UTC by Brent Eagles
Modified: 2020-01-13 15:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 15:24:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1752330 None None None 2018-05-17 12:50:56 UTC

Description Brent Eagles 2018-05-16 11:59:32 UTC
When upgrading to OSP 13 from previous versions, supporting processes for neutron agents like dnsmasq, haproxy, keepalived, etc. created prior to upgrade continue to run on baremetal until the node is rebooted. New processes instantiated for new neutron objects (e.g. routers, networks, etc) will run in containers resulting in a mix of both. This has potential implications with respect to support and troubleshooting.

Comment 1 Nir Yechiel 2018-05-17 12:55:42 UTC
To clarify: this should not impact the upgrade itself from a user point of view. As indicated in comment #0, the real impact is on the operator only.

Comment 4 Bernard Cafarelli 2020-01-13 15:24:06 UTC
This was an initial potential issue when switching to containerized neutron, but since then all upgrades went smoothly and neutron can shut down baremetal process and then start sidecar container ones (we base process control on PID). So we can close this one now (almost 3 releases after switching to containerized Neutron)


Note You need to log in before you can comment on or make changes to this bug.